Subject: Re: [PATCH net] net: dsa: mv88e6xxx: Don't support >1G speeds on 6191X on ports other than 10

From: Marek Behún <[email-masked]>
Date: Thu, 4 Nov 2021 19:58:28 +0100

On Thu, 4 Nov 2021 18:15:57 +0000
"Russell King (Oracle)" <[email-masked]> wrote:

> On Thu, Nov 04, 2021 at 06:17:47PM +0100, Marek Behún wrote:
> > Model 88E6191X only supports >1G speeds on port 10. Port 0 and 9 are
> > only 1G.  
> 
> Interesting. The original commit says:
> 
> SERDESes can do USXGMII, 10GBASER and 5GBASER (on 6191X only one
> SERDES is capable of more than 1g; USXGMII is not yet supported
> with this change)
> 
> which is ambiguously worded - so I guess we now know that it's only
> port 10 that supports speeds above 1G.

Yes, I just found this info in datasheet.

> Can ports 0 / 1 / 10 be changed at runtime (iow, is the C_Mode field
> writable on these ports?)

Yes, cmode is writable on these ports. serdes.c also provides some
errata fixes when changing cmode.

(BTW Russell I have already updated your patch
   net: dsa: mv88e6xxx: populate supported_interfaces
 from your net-queue branch.
 I am rebasing your work on top of net-next and also adding some other
 stuff. I will send you the patches later.)

Marek